Extended Enclave (TSLRCM add-on) 2.5

   (21 reviews)

14 Screenshots

About This File

========================================================
A KNIGHTS OF THE OLD REPUBLIC II: (THE SITH LORDS) MODIFICATION
Extended Enclave 2.5 (TSLRCM 1.8.5. Add-On)
========================================================

Authors: danil-ch & Darth Hayze

1. Description:

----------

This is an extended version of the Rebuilt Enclave sequence. We went through the dialogs as modified by TSLRCM and compared them to the original versions and made changes and restored additional dialog based on developer notes, etc...

The following scenes have been modified:

1. "Did you not go to join him?"

Brianna approaches Kreia before the dialog with the Masters starts, and Kreia has additional lines.

2. "It is not as it was..."

The sequence with the Jedi Masters has been extended with additional dialog from the masters themselves, and when reading the minds of your party, all but Hanharr/Mira are now represented. Depending on whether you learned how to read the character’s minds, or spoke to Atton about playing Pazaak, lines may change.

3. "You have failed me. Completely, and utterly."

Kreia's confrontation with the Exile now includes several minutes of new dialog. Some of the additional dialog is dependent on your influence level with Kreia, i.e. the scene will have different lines at the end if you have high, low, or 'neutral' influence with Kreia.

4. "The exile is dead. We have lost - it is over."

After Kreia tells the Handmaiden(s) that the Exile is no more, they board the hawk, Brianna/Sisters informs the crew of the Exile's passing, Kreia tells them the one who waits in the darkness will now be revealed, and then leaves for Atris.

5. "I know you can hear me."

The scene with the Exile reading the party's minds has been extended with dialog from Atton, Bao-Dur and Canderous.

6. "If you don't warn them"

The scene with Kreia and Mical has been placed back in the original location as an extension of one of the Kreia/Mical scenes on the Hawk.

7. "I have never needed you."
Sion now receives word of the Exile's fate on Dantooine and decides to confront an old friend.

8. Numerous bug fixes and tweaks to this scene to make it run smoothly. In addition, there is now a shot of Nihilus' ship before the scene with him and Tobin.

 

2. Install:

----------

(It is highly recommended that you update your game to version 2.10 (the 1.0b update) before installing this mod.) As this is an add-on for TSLRCM, TSLRCM 1.8.5 is REQUIRED.

This is an add-on for TSLRCM, it will not work otherwise. So have that installed.

First, if you do not have M4-78 installed at this time, you only need to follow TSLRCM Step 1 below. If you do have M4-78 installed, or at any later date you install it, you will need to follow M4 Step 2 below.

TSLRCM Step 1:

To install, extract the Extended Enclave folder to anywhere you like, as long as it is not the SWKotOR2 folder. When you run the installer, it will present you with two options, for TSLRCM only, select Standalone option and run it.

M4-78 Step 2:

If you DO have the M4-78 installed, after running the TSLRCM Standalone installer, run the M4-78 Compatibility patch and follow the instructions presented to you.

 

3. Uninstall:

----------

There has been a backup made of the modified files, within a folder titled 'backup' in the 'Main Patch" folder. Simply copy 650DAN.mod, 003EBO.mod, 907MAL.mod, and 904MAL.mod into your Modules folder and delete 020EBO.mod, and 856NIH.mod, and you will have reverted to TSLRCM 1.8.5.

 

4. Bugs:

----------

This has been tested several times to make sure nothing weird happens. If you find anything, let us know.

 

5. Distribution Notes:

----------

This mod may not be modified or distributed without the explicit permission of the authors.

 

6. Thanks:

----------

Thanks go the entire TSLRCM team; your work has been outstanding.

 

7. Credits:

----------
AUTHORS:

danil-ch and Darth Hayze: Pretty much most stuff, this included lots of scripting, vo splicing, picking up slack when one of us disappeared, etc...

 

CONTRIBUTORS:

Hassat Hunter; for help with getting it ready for TSLRCM 1.8.2

Sith Holocron; for suggesting a mod collaboration and the cool logo

zbyl2; for help with getting it ready for TSLRCM 1.8.3

Exile007 - for contributing his early work on the Sion scenes

 

TESTERS:

Loki147

Malkior

 

THIS MODIFICATION IS PROVIDED AS-IS AND IS NOT SUPPORTED BY BIOWARE/OBSIDIAN ENTERTAINMENT OR LUCASARTS OR ANY LICENSERS/SPONSORS OF THE MENTIONED COMPANIES. USE OF THIS FILE IS AT YOUR OWN RISK AND THE ABOVE MENTIONED COMPANIES OR THE AUTHOR IS NOT RESPONSIBLE FOR ANY DAMAGE CAUSED TO YOUR COMPUTER FOR THE USAGE OF THIS FILE.

BY BIOWARE/OBSIDIAN ENTERTAINMENT OR LUCASARTS OR ANY LICENSERS/SPONSORS OF THE MENTIONED COMPANIES. USE OF THIS FILE IS AT YOUR OWN RISK AND THE ABOVE MENTIONED COMPANIES OR THE AUTHOR IS NOT RESPONSIBLE FOR ANY DAMAGE CAUSED TO YOUR COMPUTER FOR THE USAGE OF THIS FILE.


What's New in Version 2.5   See changelog

Released

  • *Fixed: Skipping the mind-reading sequence will no longer cause convo break with the masters (Special thanks to: Snigaroo and JCarter426). 
  • Like 1



User Feedback

Recommended Comments



Well, despite using Steam M4-78, EE didn't install. I then unsubscribed from M4-78, ran TSLRCM only (also using the Steam version of that mod), and the installer told me 'TSLRCM was not installed properly' and didn't go through. So...

Share this comment


Link to comment
Share on other sites

Well, despite using Steam M4-78, EE didn't install. I then unsubscribed from M4-78, ran TSLRCM only (also using the Steam version of that mod), and the installer told me 'TSLRCM was not installed properly' and didn't go through. So...

Try open rcmchanges.ini and remove "Required=c_mirachoke.ncs".

Share this comment


Link to comment
Share on other sites

Well, I got M4-78 (Steam) working properly, tried installing EE again, still no luck. Tried installing before and after removing the mirachoke line, still no luck. 

Share this comment


Link to comment
Share on other sites

"An error occurred! Invalid game folder specified, dialog.tlk file not found! Make sure you have selected the correct folder." What am I supposed to do? I did what it said but it didn't do flarksnorzen.

Share this comment


Link to comment
Share on other sites

I've got the steam version of M4-78 and am receiving an error saying M4-78 wasn't installed properly (GEN-99). Reinstalled M4 and got the same error. I was installing it into the TSLRCM workshop folder and had no problems with the TSLCRM only part of EE (although I had M4 installed before I installed it). I also tried removing Require=c_mirachoke.ncs with the same error. If anyone can please help. I've only just started non-steam modding and could use all the assistance offered.

Share this comment


Link to comment
Share on other sites

This seems to be a cool mod, but can anyone help me with a bug that keeps happening? When I try to install the mod, then travel to the rebuilt Jedi Enclave, there is a glitch where Kreia walks to the center of the entrance to sit down and then the screen cuts to black, only allowing me to pause the game but nothing else. 

 

Basically thishttps://www.reddit.com/r/kotor/comments/41qpjv/dantooine_jedi_enclave_bug_kotor_2/

 

I can save and reload, but when I do, Kreia is gone and Vrook (the only master I spared) does not respond to my PC. I tried this with Kreia in and out of my party, to no change (without Kreia, the screen cuts to black after the fly-by upon entering the enclave). I have tried this with both a new game and a game already saved right before going to Dantooine to meet the Jedi Masters. At first, I thought this might be a mod conflict, but after re-installing TSLRCM 1.8.5, I find that the restored version of the game runs fine. I tested this a few times and the problem occurs specifically whenever I install the Extended Enclave 2.3 mod to the game. TSLRCM runs fine.

 

Could this be a module error of some kind? I see that the last update of Extended Enclave was in 2015, but version 1.8.5 of TSLRCM was last updated in 2016, so I'm assuming that this mod is no longer compatible.

 

Any help or comments are appreciated. Thanks.

  • Like 2

Share this comment


Link to comment
Share on other sites

I have a little problem, when I click  ok on the kotor 2 folder it says that I odn't have tslrcm installed, but it's very much installed, maybe it's because I installed it via the workshop but it says that it has an error like GEN-99 or something, someon plz help

Share this comment


Link to comment
Share on other sites

Okay, I have this weird issue where I go to the Rebult Enclave, the Jedi tell me I am too great a threat to let go, I get a cut scene of Kreia walking down a hall towards the room.  And then I'm standing there, in font of the masters, in regular play mode.  no cut scene.  no nothing. I can't interact with them. I can wander the level.  If I get too close to Kreia, the Dark Side version of the scene plays suddenly, but I'm playing a LS Jedi and have taken no hostile actions towards the Mastesr.  I have no idea what to do, as I don't want to proceed with a DS confrontation.  

Share this comment


Link to comment
Share on other sites
On 2/11/2019 at 9:50 AM, barachiel said:

Okay, I have this weird issue where I go to the Rebult Enclave, the Jedi tell me I am too great a threat to let go, I get a cut scene of Kreia walking down a hall towards the room.  And then I'm standing there, in font of the masters, in regular play mode.  no cut scene.  no nothing. I can't interact with them. I can wander the level.  If I get too close to Kreia, the Dark Side version of the scene plays suddenly, but I'm playing a LS Jedi and have taken no hostile actions towards the Mastesr.  I have no idea what to do, as I don't want to proceed with a DS confrontation.  

Should be fixed in 2.5 version.

Share this comment


Link to comment
Share on other sites

Are these Dialogs voiced? If yes how the hell did you manage that?

furthermore I'm modding this game for a few friends who haven't played it yet, should I let them play vanilla enclave, or would you recommend this over the official one (even for a first timer)?

Share this comment


Link to comment
Share on other sites
1 hour ago, TheRealBatuRem said:

Are these Dialogs voiced? If yes how the hell did you manage that?

furthermore I'm modding this game for a few friends who haven't played it yet, should I let them play vanilla enclave, or would you recommend this over the official one (even for a first timer)?

TSL was released unfinished meaning it lacked some content and was full of bugs. In the leftover files, modders have found the incomplete content and unused audio VO to make this mod and the big "The Sith Lords Restored Content Mod" which restores most of the content. You will, of course, find "custom/restored" content mods like this which restores content that lacked too much content, to begin with. Some VO lines have been spliced together in this mod to make a new custom line using the original VO actors, though this method is quite limited.

 

I'd recommend TSLRCM 1.8.5 from this website or moddb as a mandatory mod and this mod on top of it as well as any other mods you want to install, as long as they are compatible with TSLRCM. If you use PartySwap the mod which allows you to recruit the Handmaiden and Disciple at once you require an additional patch also found on the site.

Share this comment


Link to comment
Share on other sites
9 hours ago, N-DReW25 said:

TSL was released unfinished meaning it lacked some content and was full of bugs. In the leftover files, modders have found the incomplete content and unused audio VO to make this mod and the big "The Sith Lords Restored Content Mod" which restores most of the content. You will, of course, find "custom/restored" content mods like this which restores content that lacked too much content, to begin with. Some VO lines have been spliced together in this mod to make a new custom line using the original VO actors, though this method is quite limited.

 

I'd recommend TSLRCM 1.8.5 from this website or moddb as a mandatory mod and this mod on top of it as well as any other mods you want to install, as long as they are compatible with TSLRCM. If you use PartySwap the mod which allows you to recruit the Handmaiden and Disciple at once you require an additional patch also found on the site.

Yes I have TSLRCM 1.8.5 and the droid planet, but I don't want any weird messed up content for my friend who plays it for the first time. Maybe the original is more well rounded idk...

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now